Bug 861174 - [RHEVM] Optimize gluster volume for virt is not setting the "group" option on the volume with value "virt"
[RHEVM] Optimize gluster volume for virt is not setting the "group" option on...
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
: FutureFeature, ZStream
Depends On:
  Show dependency treegraph
Reported: 2012-09-27 13:52 EDT by Prasanth
Modified: 2013-10-07 06:09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
virt rhev integration
Last Closed: 2013-10-07 05:08:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Prasanth 2012-09-27 13:52:13 EDT
Description of problem:

The Gluster "Volumes tab" in the latest RHEVM beta provides an option to select a volume and "optimize for Virt Store". When user clicks on this button, it should set the "group" option on the volume with value "virt". (cli command: gluster volume set group virt). Now, on the "options" sub-tab of the volume, user should see a new option called "group" set with the value "virt": 

However, this option is NOT currently seen in our testing. This seems to be due to the corresponding "virt" file which is not getting created in "/var/lib/glusterd/groups/"

A temporary work-around is to touch the file in the backend and update with volume set options manually and then it will get reflected in the UI. 

The installed gluster packages are:

Comment 2 krishnan parthasarathi 2012-11-21 08:44:13 EST
Reducing severity since the fix would amount to a feature.
Comment 3 Scott Haines 2013-09-23 15:47:27 EDT
Targeting for 2.1.z (Big Bend) U1.
Comment 6 Vivek Agarwal 2013-10-07 05:08:26 EDT
Per mail from Sas, not seen with 2.1 bits

Note You need to log in before you can comment on or make changes to this bug.